SoulFire LogoSoulFire

Set automation shared claims

POST
/v1/instances/p0/automation:setSharedClaims

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

enabled*boolean

Response Body

application/json

application/json

application/json

application/json

curl -X POST "http://127.0.0.1:38765/v1/instances/p0/automation:setSharedClaims" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "settings": {    "preset": "AUTOMATION_PRESET_UNSPECIFIED",    "team_collaboration": true,    "role_policy": "AUTOMATION_ROLE_POLICY_UNSPECIFIED",    "shared_end_entry": true,    "max_end_bots": 0,    "shared_structure_intel": true,    "shared_target_claims": true,    "objective_override": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",    "target_blaze_rods": 0,    "target_ender_pearls": 0,    "target_ender_eyes": 0,    "target_arrows": 0,    "target_beds": 0  }}

How is this page?